import Typography from "@mui/material/Typography";
export default function CatalogItemDetails(props) {
  const { catalogTest } = props;

  const {
    name: testName,
    class: testClass,
    isPipeline,
    description,
    image,
    crons,
    regions,
    env,
    tags,
    projects,
  } = catalogTest;

  return (
    <Typography component={"div"} style={{ wordBreak: "break-word" }}>
      <div>
        <span style={{ fontWeight: "bold" }}>Image: </span>
        {image}
      </div>
      <div>
        <span style={{ fontWeight: "bold" }}>Env: </span>
        {env.join(", ")}
      </div>
      <div>
        <span style={{ fontWeight: "bold" }}>Regions: </span>
        {(regions ?? []).join(", ")}
      </div>
      <div>
        <span style={{ fontWeight: "bold" }}>Crons: </span>
        {(crons ?? []).join(", ")}
      </div>
      <div>
        <span style={{ fontWeight: "bold" }}>Projects: </span>
        {projects.join(", ")}
      </div>
      <div style={{ fontStyle: "italic" }}>
        {description ?? "No Description Provided!"}
      </div>
    </Typography>
  );
}
